<?php
session_start();/**************************************************صفحة التنقل بين الصفحات مع الانواع*******************************************************************/

//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;

//استدعاء ملف معالجة الحقن
include("../injection.php");
//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'"); 


//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}
// معالجة حقن المتغيرات
injection($_POST['table']);
injection($_POST['search']);
injection($_POST['type']);
/*  اسم الجدول وبداية الكويرى */  
 $table=$_POST['table'];

// كلمة البحث
$search=$_POST['search'];

$type=$_POST['type'];
$query='';
if($type=='undefined'){
//استعلام لتحديد العدد الكلى للسجلات

//بداية الاستعلام
$query="select count(id) from $table where  title like '%".$search."%'";
}else{
//استعلام لتحديد العدد الكلى للسجلات

//بداية الاستعلام
$query="select count(id) from $table where  type like '%$type%' and title like '%".$search."%'";
}


//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);

//استخراج النتائج
$fetch=mysqli_fetch_row($result);

//تحديد عدد الصفوف
$num_rows=$fetch[0];
?>
<a type='<?php echo $type; ?>' max='<?php echo $max_rows_cp; ?>' lang='<?php echo $table; ?>' search="<?php echo $search; ?>" alt='0' id='prev_num_search' class='num_con'><</a>
	
<?php


$num=0;
for ($i=1;$i<=$num_rows;$i+=$max_rows_cp){
	$num++;	
	if($i!=1){
	echo"<a type='$type' max='$max_rows_cp' lang='$table' search='$search' alt='$num' id='num_con_search$num' class='num_con_search'>$num</a>";
	}else{
	echo"<a type='$type' max='$max_rows_cp' lang='$table' search='$search' alt='$num' id='num_con_search$num' class='num_con_search num_active'>$num</a>";
	}
	
	if($num==$max_con_cp){
	goto endloop ;
	}
}
endloop:
$num=$num+1;
?>	
<a type='<?php echo $type; ?>'max='<?php echo $max_rows_cp?>' lang='<?php echo $table?>' search="<?php echo $search ?>" alt='2' id='next_num_search' class='num_con'>></a>
<div style="display: none">
<div id="rows_range" style="float:right"><?php echo $max_rows_cp; ?>-1</div>
<div style="float:right">/</div>
<div id ="total_rows" style="float:right"><?php echo $num_rows; ?></div>
</div>
<div id="total_con" style="display:none"><?php echo ceil($num_rows/$max_rows_cp) ; ?></div>
<div id="max_con" style="display:none"><?php echo $max_con_cp ; ?></div>
